# pandas.DataFrame.sort_index

`DataFrame.``sort_index`(axis=0, level=None, ascending=True, inplace=False, kind='quicksort', na_position='last', sort_remaining=True, by=None)

  Sort object by labels (along an axis).

  Parameters:

  axis : {0 or ‘index’, 1 or ‘columns’}, default 0

  > The axis along which to sort. The value 0 identifies the rows, and 1 identifies the columns.

  level : int or level name or list of ints or list of level names

  > If not None, sort on values in specified index level(s).

  ascending : bool, default True

  > Sort ascending vs. descending.

  inplace : bool, default False

  > If True, perform operation in-place.

  kind : {‘quicksort’, ‘mergesort’, ‘heapsort’}, default ‘quicksort’

  > Choice of sorting algorithm. See also ndarray.np.sort for more information. mergesort is the only stable algorithm. For DataFrames, this option is only applied when sorting on a single column or label.

  na_position : {‘first’, ‘last’}, default ‘last’

  > Puts NaNs at the beginning if first; last puts NaNs at the end. Not implemented for MultiIndex.

  sort_remaining : bool, default True

  > If True and sorting by level and index is multilevel, sort by other levels too (in order) after sorting by specified level.

  Returns:

  sorted_obj : DataFrame or None

  > DataFrame with sorted index if inplace=False, None otherwise.

Scroll To Top